---
title: IDBEnvironmentSync
slug: Web/API/IDBEnvironmentSync
tags:
  - API
  - Experimental
  - IndexedDB
  - Interface
  - Obsolete
  - Reference
---
<p>{{APIRef("IndexedDB")}} {{ draft() }}</p>

<div class="warning">
<p><strong>Important</strong>: The synchronous version of the IndexedDB API was originally intended for use only with <a href="/en-US/docs/Web/Guide/Performance/Using_web_workers">Web Workers</a>, and was eventually removed from the spec because its need was questionable. It may however be reintroduced in the future if there is enough demand from web developers.</p>
</div>

<p>The {{ unimplemented_inline() }} <code>IDBEnvironmentSync</code> interface of the <a href="/en/IndexedDB" title="en/IndexedDB">IndexedDB API</a> will be implemented by <a href="/En/DOM/Worker" title="En/DOM/Worker">worker</a> objects.</p>

<h2 id="Attributes">Attributes</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Attribute</th>
   <th scope="col">Type</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code><a name="indexedDBSync">indexedDBSync</a></code></td>
   <td><code>readonly <a href="/en/IndexedDB/IDBFactorySync" title="en/IndexedDB/IDBFactorySync">IDBFactorySync</a></code></td>
   <td>Provides a synchronous means of accessing the capabilities of indexed databases. {{ Note("Until the Indexed Database API specification is finalized, this attribute should be accessed as <code>moz_indexedDBSync</code>.") }}</td>
  </tr>
 </tbody>
</table>

